@LICENCE@

#include "@VIEWERCLASSNAME@.h"

//-- Qt Stuff
#include <QWidget>

using namespace camitk;

// ------------------- Constructor -------------------
@VIEWERCLASSNAME@::@VIEWERCLASSNAME@(QString name) : Viewer(name, Viewer::@VIEWERTYPE@) {
    myWidget = nullptr;
    QStringList viewedComponent;
    @BEGIN_ADDCOMPONENTS@
    viewedComponent << "@COMPONENT@";
    @END_ADDCOMPONENTS@
    setComponentClassNames(viewedComponent);
    setDescription("@DESCRIPTION@");
}

// -------------------- Destructor --------------------
@VIEWERCLASSNAME@::~@VIEWERCLASSNAME@() {
    delete myWidget;
}

// -------------------- refresh --------------------
void @VIEWERCLASSNAME@::refresh(Viewer*) {
    // TODO
}

// -------------------- getWidget --------------------
QWidget* @VIEWERCLASSNAME@::getWidget() {
    // lazy instantiation of the viewer widget
    if (myWidget == nullptr) {
        // TODO
    }

    return myWidget;
}

